Bug 1171139 - gcc10 causes enum related compilation failure for ipxe component of qemu
gcc10 causes enum related compilation failure for ipxe component of qemu
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KVM
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Bruce Rogers
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-05 02:58 UTC by Bruce Rogers
Modified: 2020-06-28 17:22 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce Rogers 2020-05-05 02:58:57 UTC
In exploring gcc10 issues for qemu, I discovered this error compiling the ipxe firmware:

drivers/infiniband/flexboot_nodnic.c: In function ‘flexboot_nodnic_create_qp’:
drivers/infiniband/flexboot_nodnic.c:368:53: error: implicit conversion from ‘enum ib_queue_pair_type’ to ‘nodnic_queue_pair_type’ [-Werror=enum-conversion]
  368 |  status = nodnic_port_create_qp(&port->port_priv, qp->type,
      |                                                   ~~^~~~~~
drivers/infiniband/flexboot_nodnic.c: In function ‘flexboot_nodnic_destroy_qp’:
drivers/infiniband/flexboot_nodnic.c:409:45: error: implicit conversion from ‘enum ib_queue_pair_type’ to ‘nodnic_queue_pair_type’ [-Werror=enum-conversion]
  409 |  nodnic_port_destroy_qp(&port->port_priv, qp->type,
      |                                           ~~^~~~~~
cc1: all warnings being treated as errors

These two enums are tracking basically the same states (using the same order and starting point), and so casting one to the other, which addresses this issue, should be acceptable.

I will see about getting this submitted upstream.
Comment 1 Swamp Workflow Management 2020-05-06 23:40:13 UTC
This is an autogenerated message for OBS integration:
This bug (1171139) was mentioned in
https://build.opensuse.org/request/show/800842 Factory / qemu
Comment 2 Bruce Rogers 2020-06-28 17:22:24 UTC
This got fixed upstream with commit 8a1d66c7aec020f3e90254ed2fa55ecd9494fcc3.
I've replaced the temporary fix in the package with the upstream version.
Marking fixed.